---
title: list-flags
product: vercel
url: /docs/rest-api/feature-flags/list-flags
canonical_url: "https://vercel.com/docs/rest-api/feature-flags/list-flags"
last_updated: 2026-05-06
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about list-flags on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# List flags

```http
GET /v1/projects/{projectIdOrName}/feature-flags/flags
```

Retrieve feature flags for a project. The list can be filtered by state and supports pagination.

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `projectIdOrName` | string | Yes | The project id or name |


## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `state` | string. enum: active, archived | No | The state of the flags to retrieve. Defaults to `active`. |
| `withMetadata` | boolean | No | Whether to include metadata in the response |
| `limit` | integer. min: 1; max: 100 | No | Maximum number of flags to return. When not set, all flags are returned. |
| `cursor` | string | No | Pagination cursor to continue from. |
| `search` | string | No | Search flags by their slug or description. Case-insensitive. |
| `tags` | array | No | Filter flags by tag. Repeat the parameter for multiple tags (all must match). |
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Responses

### 200: No description

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "data",
    "pagination"
  ],
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "required": [
          "createdAt",
          "createdBy",
          "environments",
          "id",
          "kind",
          "ownerId",
          "projectId",
          "revision",
          "seed",
          "slug",
          "state",
          "typeName",
          "updatedAt",
          "variants"
        ],
        "properties": {
          "description": {
            "type": "string"
          },
          "maintainerIds": {
            "type": "array"
          },
          "permanent": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "tags": {
            "type": "array"
          },
          "experiment": {
            "type": "object",
            "required": [
              "allocationUnit",
              "primaryMetrics",
              "status"
            ]
          },
          "variants": {
            "type": "array"
          },
          "id": {
            "type": "string"
          },
          "environments": {
            "type": "object"
          },
          "kind": {
            "type": "string",
            "enum": [
              "string",
              "number",
              "boolean",
              "json"
            ]
          },
          "revision": {
            "type": "number"
          },
          "seed": {
            "type": "number"
          },
          "state": {
            "type": "string",
            "enum": [
              "active",
              "archived"
            ]
          },
          "slug": {
            "type": "string"
          },
          "createdAt": {
            "type": "number"
          },
          "updatedAt": {
            "type": "number"
          },
          "createdBy": {
            "type": "string"
          },
          "ownerId": {
            "type": "string"
          },
          "projectId": {
            "type": "string"
          },
          "typeName": {
            "type": "string",
            "enum": [
              "flag"
            ]
          },
          "metadata": {
            "type": "object"
          }
        }
      }
    },
    "pagination": {
      "type": "object",
      "required": [
        "next"
      ],
      "properties": {
        "next": {
          "type": "string",
          "nullable": true
        }
      }
    }
  }
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 402: The account is missing a payment so payment method must be updated

### 403: You do not have permission to access this resource.

### 404: No description

---

## Related

- [feature-flags endpoints](/docs/rest-api#feature-flags)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://openapi.vercel.sh/) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
